summaryrefslogtreecommitdiffstats
path: root/configure
diff options
context:
space:
mode:
authoraxis <qt-info@nokia.com>2010-07-15 09:00:10 (GMT)
committeraxis <qt-info@nokia.com>2010-07-21 09:39:47 (GMT)
commit7a19192fb418e40732ad72e0d4aaf83527958ded (patch)
tree2fae2a2343e7ddaf0019fea655b64ada448f0997 /configure
parent6d682ce861c72618022188fac61c9a5ebb1770b7 (diff)
downloadQt-7a19192fb418e40732ad72e0d4aaf83527958ded.zip
Qt-7a19192fb418e40732ad72e0d4aaf83527958ded.tar.gz
Qt-7a19192fb418e40732ad72e0d4aaf83527958ded.tar.bz2
Various configure fixes to make Qt compile with Raptor on Linux.
Based on a patch by Oleh Vasyura <ext-oleh.2.vasyura@nokia.com>. RevBy: Jason Barron
Diffstat (limited to 'configure')
-rwxr-xr-xconfigure105
1 files changed, 81 insertions, 24 deletions
diff --git a/configure b/configure
index 166f201..51628d7 100755
--- a/configure
+++ b/configure
@@ -728,7 +728,7 @@ CFG_GLIB=auto
CFG_GSTREAMER=auto
CFG_QGTKSTYLE=auto
CFG_QS60STYLE=auto
-CFG_LARGEFILE=yes
+CFG_LARGEFILE=auto
CFG_OPENSSL=auto
CFG_PTMALLOC=no
CFG_STL=auto
@@ -3059,12 +3059,17 @@ fi
QMAKE_CONF_COMPILER=`getQMakeConf "$XQMAKESPEC" | grep "^QMAKE_CXX[^_A-Z0-9]" | sed "s,.* *= *\(.*\)$,\1," | tail -1`
TEST_COMPILER="$CXX"
+
[ -z "$TEST_COMPILER" ] && TEST_COMPILER=$QMAKE_CONF_COMPILER
-if [ -z "$TEST_COMPILER" ]; then
- echo "ERROR: Cannot set the compiler for the configuration tests"
- exit 1
+if [ "$XPLATFORM" != "symbian-sbsv2" ]; then
+ #for Symbian we don't need this checking
+ if [ -z "$TEST_COMPILER" ]; then
+ echo "ERROR: Cannot set the compiler for the configuration tests"
+ exit 1
+ fi
fi
+
# auto-detect precompiled header support
if [ "$CFG_PRECOMPILE" = "auto" ]; then
if [ `echo "$CFG_MAC_ARCHS" | wc -w` -gt 1 ]; then
@@ -4482,14 +4487,26 @@ if true; then ###[ '!' -f "$outpath/bin/qmake" ];
mv -f "$QMAKE_QCONFIG_H" "$QCONFIG_H"
for conf in "$outpath/include/QtCore/qconfig.h" "$outpath/include/Qt/qconfig.h"; do
- if [ '!' -f "$conf" ]; then
- ln -s "$QCONFIG_H" "$conf"
+ if echo "$XPLATFORM" | grep "symbian-sbsv2" > /dev/null ; then
+ # Link is not supported for Raptor build system, because of Samba mounts
+ # and zip packaging.
+ [ -e "$conf" ] && rm -rf "$conf"
+ cp -a "$QCONFIG_H" "$conf"
+ else
+ if [ '!' -f "$conf" ]; then
+ ln -s "$QCONFIG_H" "$conf"
+ fi
fi
done
#mkspecs/default is used as a (gasp!) default mkspec so QMAKESPEC needn't be set once configured
- rm -f mkspecs/default
- ln -s `echo $XQMAKESPEC | sed "s,^${relpath}/mkspecs/,,"` mkspecs/default
+ rm -rf mkspecs/default
+ if echo "$XPLATFORM" | grep "symbian-sbsv2" > /dev/null ; then
+#Link is not supported for Symbian build system
+ cp -a mkspecs/`echo $XQMAKESPEC | sed "s,^${relpath}/mkspecs/,,"` mkspecs/default
+ else
+ ln -s `echo $XQMAKESPEC | sed "s,^${relpath}/mkspecs/,,"` mkspecs/default
+ fi
# fix makefiles
for mkfile in GNUmakefile Makefile; do
EXTRA_LFLAGS=
@@ -4719,6 +4736,10 @@ case "$XPLATFORM" in *symbian*)
QMakeVar set styles "windows s60" #overwrite previous default
CFG_LIBFREETYPE=no
+ if [ "$CFG_LARGEFILE" = auto ]; then
+ CFG_LARGEFILE=no
+ fi
+
if test -z "$EPOCROOT"; then
echo "Please export EPOCROOT. It should point to the sdk install dir"
exit 1
@@ -4743,15 +4764,24 @@ case "$XPLATFORM" in *symbian*)
)
# compile a simple main that uses printf
- if ! "$symbiantests/compile.test" "$XQMAKESPEC" "$QMAKE_CONFIG" $OPT_VERBOSE "$relpath" "$outpath" config.tests/symbian/simple "simple" $L_FLAGS $I_FLAGS $l_FLAGS
- then
- echo "Testing your compiler failed. Could not compile a simple application."
- echo "Fatal error; Rerun configure with -verbose to get more details."
- exit 1;
+ if ! echo $XPLATFORM | grep symbian-sbsv2 > /dev/null; then
+ # Raptor does not support configure tests.
+ if ! "$symbiantests/compile.test" "$XQMAKESPEC" "$QMAKE_CONFIG" $OPT_VERBOSE "$relpath" "$outpath" config.tests/symbian/simple "simple" $L_FLAGS $I_FLAGS $l_FLAGS
+ then
+ echo "Testing your compiler failed. Could not compile a simple application."
+ echo "Fatal error; Rerun configure with -verbose to get more details."
+ exit 1;
+ fi
fi
;;
esac
+if [ "$CFG_LARGEFILE" = "auto" ]; then
+ #Large files should be enabled for all Linux systems
+ CFG_LARGEFILE=yes
+fi
+
+
if [ "$CFG_S60" = "auto" ]; then
if echo "$XPLATFORM" | grep symbian > /dev/null; then
CFG_S60=yes
@@ -5067,8 +5097,11 @@ for _SQLDR in $CFG_SQL_AVAILABLE; do
if [ "$CFG_SQL_sqlite" = "auto" ]; then # the default
case "$XPLATFORM" in
symbian*)
- # sqlite on symbian is typically not build in Qt but deployed as a pre-existing sis file.
- CFG_SQL_sqlite=no
+ # sqlite on symbian is typically not build in Qt but deployed as a pre-existing sis file and should be marked as driver.
+ # Configuration parameters should be set
+ CFG_SQL_sqlite=qt
+ QT_LFLAGS_SQLITE=-lsqlite3
+ QMAKE_CONFIG="$QMAKE_CONFIG system-sqlite"
;;
esac
fi
@@ -6074,7 +6107,10 @@ fi
# find if the platform supports IPv6
if [ "$CFG_IPV6" != "no" ]; then
- if "$unixtests/compile.test" "$XQMAKESPEC" "$QMAKE_CONFIG" $OPT_VERBOSE "$relpath" "$outpath" config.tests/unix/ipv6 "IPv6" $L_FLAGS $I_FLAGS $l_FLAGS $MAC_CONFIG_TEST_COMMANDLINE; then
+ if [ "$XPLATFORM" = "symbian-sbsv2" ]; then
+ #IPV6 should always be enabled for Symbian release
+ CFG_IPV6=yes
+ elif "$unixtests/compile.test" "$XQMAKESPEC" "$QMAKE_CONFIG" $OPT_VERBOSE "$relpath" "$outpath" config.tests/unix/ipv6 "IPv6" $L_FLAGS $I_FLAGS $l_FLAGS $MAC_CONFIG_TEST_COMMANDLINE; then
CFG_IPV6=yes
else
if [ "$CFG_IPV6" = "yes" ] && [ "$CFG_CONFIGURE_EXIT_ON_ERROR" = "yes" ]; then
@@ -6187,7 +6223,7 @@ if [ "$CFG_GETIFADDRS" != "no" ]; then
fi
# detect OpenSSL
-if [ "$CFG_OPENSSL" != "no" ]; then
+if [ "$CFG_OPENSSL" != "no" ] && [ "$XPLATFORM" != "symbian-sbsv2" ]; then
if "$unixtests/compile.test" "$XQMAKESPEC" "$QMAKE_CONFIG" $OPT_VERBOSE "$relpath" "$outpath" config.tests/unix/openssl "OpenSSL" $L_FLAGS $I_FLAGS $l_FLAGS $MAC_CONFIG_TEST_COMMANDLINE; then
if [ "$CFG_OPENSSL" = "auto" ]; then
CFG_OPENSSL=yes
@@ -6203,6 +6239,11 @@ if [ "$CFG_OPENSSL" != "no" ]; then
CFG_OPENSSL=no
fi
fi
+else
+ if [ "$CFG_OPENSSL" = "auto" ] && [ "$XPLATFORM" = "symbian-sbsv2" ]; then
+ #OpenSSl should be enabled for Symbian release
+ CFG_OPENSSL=yes
+ fi
fi
# detect OpenVG support
@@ -6258,12 +6299,15 @@ if [ "$CFG_PTMALLOC" != "no" ]; then
QMakeVar add QMAKE_LFLAGS "$outpath/lib/libptmalloc3.a"
fi
-if [ "$CFG_ALSA" = "auto" ]; then
+if [ "$CFG_ALSA" = "auto" ] && [ "$XPLATFORM" != "symbian-sbsv2" ]; then
if "$unixtests/compile.test" "$XQMAKESPEC" "$QMAKE_CONFIG" $OPT_VERBOSE "$relpath" "$outpath" config.tests/unix/alsa "alsa" $L_FLAGS $I_FLAGS $l_FLAGS; then
CFG_ALSA=yes
else
CFG_ALSA=no
fi
+elif [ "$XPLATFORM" = "symbian-sbsv2" ]; then
+ # Disabled for Symbian release
+ CFG_ALSA=no
fi
if [ "$CFG_JAVASCRIPTCORE_JIT" = "yes" ] || [ "$CFG_JAVASCRIPTCORE_JIT" = "auto" ]; then
@@ -6283,7 +6327,9 @@ fi
if [ "$CFG_AUDIO_BACKEND" = "auto" ]; then
if echo "$XPLATFORM" | grep symbian > /dev/null 2>&1; then
- "$symbiantests/compile.test" "$XQMAKESPEC" "$QMAKE_CONFIG" $OPT_VERBOSE "$relpath" "$outpath" config.tests/symbian/audio "audio" $L_FLAGS $I_FLAGS $l_FLAGS
+ if "$symbiantests/compile.test" "$XQMAKESPEC" "$QMAKE_CONFIG" $OPT_VERBOSE "$relpath" "$outpath" config.tests/symbian/audio "audio" $L_FLAGS $I_FLAGS $l_FLAGS ; then
+ CFG_AUDIO_BACKEND=yes
+ fi
else
CFG_AUDIO_BACKEND=yes
fi
@@ -6292,6 +6338,9 @@ fi
if [ "$CFG_LARGEFILE" != "yes" ] && [ "$XPLATFORM_MINGW" = "yes" ]; then
echo "Warning: largefile support cannot be disabled for win32."
CFG_LARGEFILE="yes"
+elif [ "$CFG_LARGEFILE" != "no" ] && echo "$XPLATFORM" | grep "symbian" > /dev/null; then
+ echo "Warning: largefile support cannot be enabled for symbian."
+ CFG_LARGEFILE="no"
fi
#-------------------------------------------------------------------------------
@@ -6669,9 +6718,9 @@ if [ "$CFG_S60" = "yes" ]; then
fi
if [ "$CFG_SYMBIAN_DEFFILES" = "yes" ]; then
- QMAKE_CONFIG="$QMAKE_CONFIG def_files"
+ QTCONFIG_CONFIG="$QTCONFIG_CONFIG def_files"
else
- QMAKE_CONFIG="$QMAKE_CONFIG def_files_disabled"
+ QTCONFIG_CONFIG="$QTCONFIG_CONFIG def_files_disabled"
fi
[ "$CFG_NIS" = "yes" ] && QT_CONFIG="$QT_CONFIG nis"
@@ -7642,12 +7691,14 @@ else
mv "$outpath/src/corelib/global/qconfig.h.new" "$outpath/src/corelib/global/qconfig.h"
chmod -w "$outpath/src/corelib/global/qconfig.h"
for conf in "$outpath/include/QtCore/qconfig.h" "$outpath/include/Qt/qconfig.h"; do
- if [ '!' -f "$conf" ]; then
+ if echo "$XPLATFORM" | grep "symbian-sbsv2" > /dev/null 2>&1 ; then
+ [ -e "$conf" ] && rm -rf "$conf"
+ cp -a "$outpath/src/corelib/global/qconfig.h" "$conf"
+ elif [ '!' -f "$conf" ]; then
ln -s "$outpath/src/corelib/global/qconfig.h" "$conf"
fi
done
fi
-
#-------------------------------------------------------------------------------
# save configuration into qconfig.pri
#-------------------------------------------------------------------------------
@@ -7717,6 +7768,10 @@ if [ -n "$QT_GCC_MAJOR_VERSION" ]; then
echo "QT_GCC_MINOR_VERSION = $QT_GCC_MINOR_VERSION" >> "$QTCONFIG.tmp"
echo "QT_GCC_PATCH_VERSION = $QT_GCC_PATCH_VERSION" >> "$QTCONFIG.tmp"
fi
+if echo "$XPLATFORM" | grep "symbian-sbsv2" > /dev/null 2>&1; then
+ echo "#Qt for symbian FPU settings" >> "$QTCONFIG.tmp"
+ echo "MMP_RULES += \"ARMFPU softvfp\"" >> "$QTCONFIG.tmp"
+fi
# replace qconfig.pri if it differs from the newly created temp file
if cmp -s "$QTCONFIG.tmp" "$QTCONFIG"; then
rm -f "$QTCONFIG.tmp"
@@ -8291,7 +8346,9 @@ for file in .projects .projects.3; do
*winmain/winmain.pro)
[ "$XPLATFORM_MINGW" = "yes" ] || continue
SPEC=$XQMAKESPEC ;;
- *s60main/s60main.pro) continue ;;
+ *s60main/s60main.pro) if [ -z "`echo "$XPLATFORM" | grep "symbian" >/dev/null`"]; then
+ continue
+ fi;;
*examples/activeqt/*) continue ;;
*/qmake/qmake.pro) continue ;;
*tools/bootstrap*|*tools/moc*|*tools/rcc*|*tools/uic*|*linguist/lrelease*) SPEC=$QMAKESPEC ;;